# $Revision: 1.21 $, $Date: 2008/09/14 18:25:58 $
Summary:	Digital thermometer using DS1820 1-wire sensors
Summary(pl.UTF-8):	Termometr cyfrowy używający czujników Dallasa DS1820
Name:		digitemp
Version:	3.6.0
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	http://www.digitemp.com/software/linux/%{name}-%{version}.tar.gz
# Source0-md5:	9be2e48db37920f21925ae6e88f83b84
Patch0:		%{name}-opt.patch
URL:		http://www.digitemp.com/
BuildRequires:	libusb-devel
BuildRequires:	lockdev-devel
BuildRequires:	rpm-pythonprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DigiTemp is a simple to use interface to the Dallas Semiconductor
DS18S20, DS1822, and DS18B20 1-wire digital temperature sensors. You
can use DigiTemp in a wide variety of applications, such as heating
control, process monitoring, weather station, indor/outdoor
temperature logging, etc. It includes a couple of useful Perl, Python
and RRD Tool scripts for crating graphs and dynamic signatures.

%description -l pl.UTF-8
DigiTemp jest prostym interfejsem dla cyfrowych 1-przewodowych
czujników temperatury: DS18S20, DS1822 i DS18B20 firmy Dallas
Semiconductor. DigiTemp może mieć wiele zastosowań, takich jak
kontrola ogrzewania, monitorowanie procesów, stacje meteorologiczne,
wewnętrzne/zewnętrzne monitorowanie temperatury. Pakiet zawiera kilka
użytecznych skryptów Perla, Pytona i RRD do tworzenia wykresów i
dynamicznych wpisów.

%prep
%setup -q
%patch0 -p1

%build
%{__make} ds9097 ds9097u ds2490 \
	CC="%{__cc}" \
	OPT="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_examplesdir}/%{name}-%{version},%{_mandir}/man1}

install digitemp_DS* $RPM_BUILD_ROOT%{_bindir}
install %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1
cp -rf perl python rrdb $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog CREDITS DS9097_S* FAQ README TODO dthowto.txt contrib/libusb.patch.txt
%attr(755,root,root) %{_bindir}/*
%{_examplesdir}/%{name}-%{version}
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: digitemp.spec,v $
Revision 1.21  2008/09/14 18:25:58  gotar
- upgraded to 3.6.0, DS9097_Schematic.gif and dthowto.txt in tarball

Revision 1.20  2008/07/30 07:24:19  arekm
- fix build; txt no longer available

Revision 1.19  2008/07/30 06:47:45  arekm
- release 2

Revision 1.18  2007-02-12 21:23:53  glen
- tabs in preamble

Revision 1.17  2007/02/12 00:48:45  baggins
- converted to UTF-8

Revision 1.16  2007/01/08 22:42:20  rotom
- up to 3.5.0

Revision 1.15  2006/01/01 15:06:32  pbern
- add BR

Revision 1.14  2005/06/29 00:37:12  hunter
- up to 3.4.0, stbr svp

Revision 1.13  2004/08/31 03:31:58  snurf
- typos / formatting / etc.

Revision 1.12  2004/05/13 17:24:02  ankry
- spaces -> tabs, other cosmetics

Revision 1.11  2004/04/29 19:12:06  yogib
- added schematic of DS9097 pasive 1-wire adatapter

Revision 1.10  2004/04/28 23:16:20  qboosh
- unified examples dir

Revision 1.9  2004/04/27 21:41:51  yogib
- added BR: libusb-devel for building of usb adapter

Revision 1.8  2004/04/27 20:41:32  yogib
- BR: lockdev

Revision 1.7  2004/04/26 18:21:35  yogib
- fix of _examplesdir

Revision 1.6  2004/04/25 21:03:39  yogib
- updated to 3.3.2
- added opt patch, changed URLs, added _examplesdir and _mandir
- now compiled for both versions of adapters

Revision 1.5  2003/07/23 14:47:55  misi3k
- updated to 3.2.0

Revision 1.4  2003/05/26 16:24:53  malekith
- massive attack: adding Source-md5

Revision 1.3  2003/05/25 05:46:49  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/05/13 22:59:04  qboosh
- pl cosmetics

Revision 1.1  2003/05/11 20:17:23  wolf
- from zban at inetia dot pl
